#! /bin/sh
sudo -S bash -c "apt install bash-completion elinks git zsh curl vim-nox byobu command-not-found apt-file htop python3-venv python3 locales man mc && \
	apt-file update && \
	update-command-not-found"

mkdir -p $HOME/.vim/autoload $HOME/.vim/bundle && \
	curl -LSso $HOME/.vim/autoload/pathogen.vim https://github.com/tpope/vim-pathogen/raw/master/autoload/pathogen.vim && \
	git clone https://github.com/altercation/vim-colors-solarized.git $HOME/.vim/bundle/vim-colors-solarized && \
	cat > $HOME/.vimrc <<EOF
execute pathogen#infect()
syntax enable
if has('gui_running')
    set background=light
    set gfn=Hack\ Regular\ 9
else
    set background=dark
endif
let g:solarized_hitrail=1
"let g:solarized_termcolors=256
colorscheme solarized
call togglebg#map("<F5>")
let load_doxygen_syntax = 1
"set autoindent
set encoding=utf-8
set icon
"set smartindent
set smartcase
set spelllang=de,en
set softtabstop=4
set tabstop=4
set shiftwidth=4
set nowrap
set number
set foldmethod=indent
set foldnestmax=10
set nofoldenable
set modeline
set listchars=eol:¶,tab:\»\ ,trail:~,extends:>,precedes:<
set list
filetype plugin indent on
EOF

mkdir -p $HOME/.config/nvim &&
	cat > $HOME/.config/nvim/init.vim << EOF
set runtimepath^=~/.vim runtimepath+=~/.vim/after
let &packpath = &runtimepath
set termguicolors
source ~/.vimrc
EOF

sudo -S bash -c "curl --tlsv1.2 -RLfs https://bootstrap.pypa.io/get-pip.py | python2 &&\
	curl --tlsv1.2 -RLfs https://bootstrap.pypa.io/get-pip.py | python3"

git clone https://github.com/schtobia/oh-my-zsh.git $HOME/.oh-my-zsh && \
	cp .oh-my-zsh/templates/zshrc.zsh-template $HOME/.zshrc
sed -i 's/^\(ZSH_THEME="\)robbyrussell/\1gallifrey/;s/^\(plugins=(\)git)/\1git tmux command-not-found systemd debian common-aliases)/' .zshrc

git config --global user.name "Tobias Schmidl"
git config --global branch.autosetuprebase always
git config --global branch.master.rebase true
git config --global core.autocrlf input
git config --global core.whitespace 'trailing-space,tab-in-ident,indent-with-non-tab,space-before-tab,tabwidth=4'
git config --global credential.helper store
git config --global diff.renamelimit 65536
git config --global diff.renames copies
git config --global gitflow.branch.develop master
git config --global gitflow.branch.master stable
git config --global gitflow.prefix.feature 'dev/'
git config --global http.sslverify true
git config --global http.sslversion tlsv1.2
git config --global merge.conflictstyle diff3
git config --global merge.renormalize true
git config --global pack.threads 0
git config --global pull.rebase true
git config --global rebase.autosquash true
git config --global 'url.https://.insteadof' 'http://'
git config --global tig.blob-view 'line-number:yes,interval=5 text'
git config --global tig.line-graphics utf-8
git config --global tig.tab-size 4
